package ch.hslu.edu.enapp.webshop.common;

import java.util.List;
import java.util.Map;

import ch.hslu.edu.enapp.webshop.common.dto.ProductDTO;
import ch.hslu.edu.enapp.webshop.common.dto.PurchaseDTO;
import ch.hslu.edu.enapp.webshop.common.dto.PurchaseitemDTO;

public interface PurchaseServiceRemote {
	int execOrder(final Map<ProductDTO, Integer> shoppingCart);

	List<PurchaseDTO> getPurchaseHistory();

	List<PurchaseDTO> getAllPurchaseHistory();

	PurchaseDTO getPurchaseById(final int purchaseId, final boolean reloadStatus);

	PurchaseDTO getPurchaseById(final int purchaseId);

	List<PurchaseitemDTO> getPurchaseitemsByPurchaseId(final int purchaseId);

	String updateSalesOrderStatus(final int purchaseId);
}
