package ch.hslu.edu.enapp.webshop.common.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * The persistent class for the purchaseitem database table.
 * 
 */
public class PurchaseitemDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private int id;

	private String description;

	private BigDecimal lineamount;

	private String productid;

	private int purchaseid;

	private BigDecimal quantity;

	private BigDecimal unitprice;

	public PurchaseitemDTO() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(final int id) {
		this.id = id;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(final String description) {
		this.description = description;
	}

	public BigDecimal getLineamount() {
		return this.lineamount;
	}

	public void setLineamount(final BigDecimal lineamount) {
		this.lineamount = lineamount;
	}

	public String getProductid() {
		return this.productid;
	}

	public void setProductid(final String productid) {
		this.productid = productid;
	}

	public int getPurchaseid() {
		return this.purchaseid;
	}

	public void setPurchaseid(final int purchaseid) {
		this.purchaseid = purchaseid;
	}

	public BigDecimal getQuantity() {
		return this.quantity;
	}

	public void setQuantity(final BigDecimal quantity) {
		this.quantity = quantity;
	}

	public BigDecimal getUnitprice() {
		return this.unitprice;
	}

	public void setUnitprice(final BigDecimal unitprice) {
		this.unitprice = unitprice;
	}

}