package ch.hslu.edu.enapp.webshop.boundary;

import ch.hslu.edu.enapp.webshop.common.dto.CustomerDTO;
import ch.hslu.edu.enapp.webshop.entity.Customer;

public class CustomerConverter {

	public static CustomerDTO createDTOFromEntity(final Customer customer) {
		final CustomerDTO customerDTO = new CustomerDTO();
		customerDTO.setId(customer.getId());
		customerDTO.setUsername(customer.getUsername());
		customerDTO.setName(customer.getName());
		customerDTO.setEmail(customer.getEmail());
		customerDTO.setAddress(customer.getAddress());
		customerDTO.setPassword(customer.getPassword());
		customerDTO.setNAVCustomer(customer.getNAVCustomer());

		return customerDTO;
	}

	public static Customer createEntityFromDTO(final CustomerDTO customerDTO) {
		final Customer customer = new Customer();
		customer.setId(customerDTO.getId());
		customer.setUsername(customerDTO.getUsername());
		customer.setName(customerDTO.getName());
		customer.setEmail(customerDTO.getEmail());
		customer.setAddress(customerDTO.getAddress());
		customer.setPassword(customerDTO.getPassword());
		customer.setNAVCustomer(customerDTO.getNAVCustomer());
		return customer;
	}
}
