package ch.hslu.edu.enapp.webshop.jsf;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

import ch.hslu.edu.enapp.webshop.common.ProductServiceRemote;
import ch.hslu.edu.enapp.webshop.common.dto.ProductDTO;

@Named
@RequestScoped
public class Product implements Serializable {

	private static final long serialVersionUID = 1L;

	@EJB
	private ProductServiceRemote productService;

	public Product() {
	}

	public List<ProductDTO> getProducts() {
		return productService.getProducts();
	}
}
